<?xml version="1.0" encoding="utf-8" ?>
<mocha>
	<entityDefinitions>
		<add key="IDA_ThemeName" value="{8cfc012c-52fd-4a66-8b2f-1b9b5e4af474}" />
		<add key="IDC_RotarySwitchLayout" value="{ea52446a-6332-49f7-baa9-4c78bea4faab}" />
		<add key="IDC_RotarySwitchLayoutOption" value="{cdd9a157-3896-471a-91e2-c69c9e1ea9a9}" />

		<add key="IDR_Rotary_Switch_Layout__has__Rotary_Switch_Layout_Option" value="{ae716c95-1e26-48f4-9013-001d1a1854aa}" />
		<add key="IDR_Rotary_Switch_Layout_Option__for__Rotary_Switch_Layout" value="{fed5fe08-db78-4c29-860a-a5be1a15caa0}" />
	</entityDefinitions>
	<libraries>
		<library>
			<instances>
				<textAttribute id="%IDA_ThemeName;" name="Theme Name" />
				<class id="%IDC_RotarySwitchLayout;" name="Rotary Switch Layout" customTagName="rotarySwitchLayout">
					<superclasses>
						<instanceReference instanceId="%IDC_Layout;" />
					</superclasses>
					<attributes>
						<instanceReference instanceId="%IDA_ThemeName;" customTagName="theme" />
					</attributes>
				</class>
				
				<relationship
					id="%IDR_Rotary_Switch_Layout_Option__for__Rotary_Switch_Layout;"
					sourceClassId="%IDC_RotarySwitchLayout;"
					type="has"
					destinatinClassId="%IDC_RotarySwitchLayoutOption;"
					siblingRelationshipId="%IDR_Rotary_Switch_Layout_Option__for__Rotary_Switch_Layout;"
					siblingRelationshipType="for"
					singular="false" />

			</instances>
		</library>
	</libraries>
</mocha>